Skip to main content
POST
/
api2
/
v2
/
jobs
/
{jobUid}
/
conversations
/
lqas
Create LQA conversation
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v2/jobs/{jobUid}/conversations/lqas \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "references": {
    "lqa": [
      {
        "errorCategoryId": 2,
        "severityId": 2,
        "origin": "HUMAN"
      }
    ],
    "segmentId": "<string>",
    "transGroupId": 1,
    "commentedText": "<string>",
    "conversationTitle": "<string>",
    "conversationTitleOffset": 1,
    "correlation": {
      "role": "PARENT",
      "uid": "<string>"
    }
  },
  "lqaDescription": "<string>"
}
'
{
  "comments": [
    {
      "createdBy": {
        "unavailable": true,
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "jobRoles": [
          {
            "workflowStep": {
              "abbreviation": "<string>",
              "id": 123,
              "name": "<string>",
              "workflowLevel": 123,
              "workflowStep": {
                "id": "<string>",
                "lqaEnabled": true,
                "name": "<string>",
                "order": 123,
                "uid": "<string>"
              }
            }
          }
        ],
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateModified": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "mentions": [
        {
          "mentionableGroup": {
            "groupName": "<string>",
            "groupReference": {
              "uid": "<string>"
            }
          },
          "tag": "<string>",
          "uidReference": {
            "uid": "<string>"
          },
          "userReferences": [
            {
              "unavailable": true,
              "email": "<string>",
              "firstName": "<string>",
              "id": "<string>",
              "jobRoles": [
                {
                  "workflowStep": {
                    "abbreviation": "<string>",
                    "id": 123,
                    "name": "<string>",
                    "workflowLevel": 123,
                    "workflowStep": {
                      "id": "<string>",
                      "lqaEnabled": true,
                      "name": "<string>",
                      "order": 123,
                      "uid": "<string>"
                    }
                  }
                }
              ],
              "lastName": "<string>",
              "uid": "<string>",
              "userName": "<string>"
            }
          ]
        }
      ],
      "text": "<string>"
    }
  ],
  "createdBy": {
    "unavailable": true,
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "jobRoles": [
      {
        "workflowStep": {
          "abbreviation": "<string>",
          "id": 123,
          "name": "<string>",
          "workflowLevel": 123,
          "workflowStep": {
            "id": "<string>",
            "lqaEnabled": true,
            "name": "<string>",
            "order": 123,
            "uid": "<string>"
          }
        }
      }
    ],
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateEdited": "2023-11-07T05:31:56Z",
  "dateModified": "2023-11-07T05:31:56Z",
  "deleted": true,
  "id": "<string>",
  "lqaDescription": "<string>",
  "references": {
    "lqa": [
      {
        "errorCategoryId": 2,
        "severityId": 2,
        "origin": "HUMAN",
        "originator": {
          "unavailable": true,
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "jobRoles": [
            {
              "workflowStep": {
                "abbreviation": "<string>",
                "id": 123,
                "name": "<string>",
                "workflowLevel": 123,
                "workflowStep": {
                  "id": "<string>",
                  "lqaEnabled": true,
                  "name": "<string>",
                  "order": 123,
                  "uid": "<string>"
                }
              }
            }
          ],
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "user": {
          "id": "<string>"
        }
      }
    ],
    "segmentId": "<string>",
    "transGroupId": 1,
    "commentedText": "<string>",
    "conversationTitle": "<string>",
    "conversationTitleOffset": 1,
    "correlation": {
      "role": "PARENT",
      "uid": "<string>"
    },
    "jobPartUid": "<string>",
    "taskId": "<string>"
  },
  "status": {
    "by": {
      "unavailable": true,
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "jobRoles": [
        {
          "workflowStep": {
            "abbreviation": "<string>",
            "id": 123,
            "name": "<string>",
            "workflowLevel": 123,
            "workflowStep": {
              "id": "<string>",
              "lqaEnabled": true,
              "name": "<string>",
              "order": 123,
              "uid": "<string>"
            }
          }
        }
      ],
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "date": "2023-11-07T05:31:56Z"
  },
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Body

application/json
references
object
required
lqaDescription
string

Description of the LQA issue

Response

Created

comments
object[]

List of comments in the conversation

createdBy
object
dateCreated
string<date-time>

Date the conversation was created

dateEdited
string<date-time>

Date the conversation was last edited by a user

dateModified
string<date-time>

Date the conversation was last modified

deleted
boolean

Whether the conversation has been deleted

id
string

Unique identifier of the conversation

lqaDescription
string

Description of the LQA issue

references
object
status
object
type
string

LQA